<?xml version="1.0" encoding="gbk" standalone="no"?>
<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="" >
<!-- 	<typeAlias alias="Cllkxxbean" type="cn.vp.XXX.model.CllkxxBean"/> -->	
	<typeAlias alias="Cllkxx" type="cn.im.che.CllkxxBean"/>
	
	<sql id="condition_Cllkxx">
		where 1=1
		<isNotEmpty prepend='AND ' property='LIKElkbh'>
			(lkbh like concat('%',#LIKElkbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='lkbh'>
			(lkbh = #lkbh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKExzbh'>
			(xzbh like concat('%',#LIKExzbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='xzbh'>
			(xzbh = #xzbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEbmbh'>
			(bmbh like concat('%',#LIKEbmbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='bmbh'>
			(bmbh = #bmbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEwbbh'>
			(wbbh like concat('%',#LIKEwbbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='wbbh'>
			(wbbh = #wbbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKElkmc'>
			(lkmc like concat('%',#LIKElkmc# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='lkmc'>
			(lkmc = #lkmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKElkmcpy'>
			(lkmcpy like concat('%',#LIKElkmcpy# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='lkmcpy'>
			(lkmcpy = #lkmcpy# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEjd'>
			(jd like concat('%',#LIKEjd# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='jd'>
			(jd = #jd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEwd'>
			(wd like concat('%',#LIKEwd# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='wd'>
			(wd = #wd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEtpwzx'>
			(tpwzx like concat('%',#LIKEtpwzx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='tpwzx'>
			(tpwzx = #tpwzx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEtpwzy'>
			(tpwzy like concat('%',#LIKEtpwzy# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='tpwzy'>
			(tpwzy = #tpwzy# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsfccs'>
			(sfccs like concat('%',#LIKEsfccs# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sfccs'>
			(sfccs = #sfccs# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEzdss'>
			(zdss like concat('%',#LIKEzdss# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='zdss'>
			(zdss = #zdss# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEzgss'>
			(zgss like concat('%',#LIKEzgss# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='zgss'>
			(zgss = #zgss# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsfcwz'>
			(sfcwz like concat('%',#LIKEsfcwz# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sfcwz'>
			(sfcwz = #sfcwz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEcjry'>
			(cjry like concat('%',#LIKEcjry# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='cjry'>
			(cjry = #cjry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEcjrq'>
			(cjrq like concat('%',#LIKEcjrq# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='cjrq'>
			(cjrq = #cjrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKExgry'>
			(xgry like concat('%',#LIKExgry# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='xgry'>
			(xgry = #xgry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKExgrq'>
			(xgrq like concat('%',#LIKExgrq# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='xgrq'>
			(xgrq = #xgrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEbz'>
			(bz like concat('%',#LIKEbz# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='bz'>
			(bz = #bz# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</sql>
	
	<!-- add object -->
	<insert id="insert_Cllkxx" parameterClass="java.util.Map">
		insert into 
		cllkxx(
		<dynamic prepend=" ">  
			<isNotEmpty prepend=',' property='lkbh'>lkbh</isNotEmpty>
			<isNotEmpty prepend=',' property='xzbh'>xzbh</isNotEmpty>
			<isNotEmpty prepend=',' property='bmbh'>bmbh</isNotEmpty>
			<isNotEmpty prepend=',' property='wbbh'>wbbh</isNotEmpty>
			<isNotEmpty prepend=',' property='lkmc'>lkmc</isNotEmpty>
			<isNotEmpty prepend=',' property='lkmcpy'>lkmcpy</isNotEmpty>
			<isNotEmpty prepend=',' property='jd'>jd</isNotEmpty>
			<isNotEmpty prepend=',' property='wd'>wd</isNotEmpty>
			<isNotEmpty prepend=',' property='tpwzx'>tpwzx</isNotEmpty>
			<isNotEmpty prepend=',' property='tpwzy'>tpwzy</isNotEmpty>
			<isNotEmpty prepend=',' property='sfccs'>sfccs</isNotEmpty>
			<isNotEmpty prepend=',' property='zdss'>zdss</isNotEmpty>
			<isNotEmpty prepend=',' property='zgss'>zgss</isNotEmpty>
			<isNotEmpty prepend=',' property='sfcwz'>sfcwz</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz</isNotEmpty>

		</dynamic>  
	    <![CDATA[ 
	        ) values ( 
	    ]]>  
	     <dynamic prepend=" "> 
			<isNotEmpty prepend=',' property='lkbh'>#lkbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='xzbh'>#xzbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='bmbh'>#bmbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='wbbh'>#wbbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='lkmc'>#lkmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='lkmcpy'>#lkmcpy#</isNotEmpty>
			<isNotEmpty prepend=',' property='jd'>#jd#</isNotEmpty>
			<isNotEmpty prepend=',' property='wd'>#wd#</isNotEmpty>
			<isNotEmpty prepend=',' property='tpwzx'>#tpwzx#</isNotEmpty>
			<isNotEmpty prepend=',' property='tpwzy'>#tpwzy#</isNotEmpty>
			<isNotEmpty prepend=',' property='sfccs'>#sfccs#</isNotEmpty>
			<isNotEmpty prepend=',' property='zdss'>#zdss#</isNotEmpty>
			<isNotEmpty prepend=',' property='zgss'>#zgss#</isNotEmpty>
			<isNotEmpty prepend=',' property='sfcwz'>#sfcwz#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>#bz#</isNotEmpty>

		 </dynamic>  
	    <![CDATA[ 
	        ) 
	    ]]> 
	</insert>
	
	<!-- edit object  -->
	<update id="update_Cllkxx" parameterClass="java.util.Map">
		update cllkxx 
		<dynamic prepend="set ">   
			
			<isNotEmpty prepend=',' property='xzbh'>xzbh=#xzbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='bmbh'>bmbh=#bmbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='wbbh'>wbbh=#wbbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='lkmc'>lkmc=#lkmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='lkmcpy'>lkmcpy=#lkmcpy#</isNotEmpty>
			<isNotEmpty prepend=',' property='jd'>jd=#jd#</isNotEmpty>
			<isNotEmpty prepend=',' property='wd'>wd=#wd#</isNotEmpty>
			<isNotEmpty prepend=',' property='tpwzx'>tpwzx=#tpwzx#</isNotEmpty>
			<isNotEmpty prepend=',' property='tpwzy'>tpwzy=#tpwzy#</isNotEmpty>
			<isNotEmpty prepend=',' property='sfccs'>sfccs=#sfccs#</isNotEmpty>
			<isNotEmpty prepend=',' property='zdss'>zdss=#zdss#</isNotEmpty>
			<isNotEmpty prepend=',' property='zgss'>zgss=#zgss#</isNotEmpty>
			<isNotEmpty prepend=',' property='sfcwz'>sfcwz=#sfcwz#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry=#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq=#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry=#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq=#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz=#bz#</isNotEmpty>

		</dynamic>
		where 1=1 
			<isNotEmpty prepend='AND ' property='XGTJlkbh'> lkbh = #XGTJlkbh#</isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJxzbh'> xzbh = #XGTJxzbh# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJbmbh'> bmbh = #XGTJbmbh# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJwbbh'> wbbh = #XGTJwbbh# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJlkmc'> lkmc = #XGTJlkmc# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJlkmcpy'> lkmcpy = #XGTJlkmcpy# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJjd'> jd = #XGTJjd# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJwd'> wd = #XGTJwd# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJtpwzx'> tpwzx = #XGTJtpwzx# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJtpwzy'> tpwzy = #XGTJtpwzy# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJsfccs'> sfccs = #XGTJsfccs# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJzdss'> zdss = #XGTJzdss# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJzgss'> zgss = #XGTJzgss# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJsfcwz'> sfcwz = #XGTJsfcwz# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJcjry'> cjry = #XGTJcjry# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJcjrq'> cjrq = #XGTJcjrq# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJxgry'> xgry = #XGTJxgry# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJxgrq'> xgrq = #XGTJxgrq# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJbz'> bz = #XGTJbz# </isNotEmpty>

	</update>
	
	<!-- delete object -->
	<delete id="delete_Cllkxx" parameterClass="java.util.Map">
		delete from cllkxx 
		<include refid="condition_Cllkxx"/>
	</delete>
	
	<!-- query objects by page-->
	<select id="query_Cllkxx" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select 
			lkbh,xzbh,bmbh,wbbh,lkmc,lkmcpy,jd,wd,tpwzx,tpwzy,sfccs,zdss,zgss,sfcwz,cjry,cjrq,xgry,xgrq,bz
		from cllkxx 
		<include refid="condition_Cllkxx"/>
		<isNotEmpty prepend='AND ' property='start'>
			rownum  &gt; #start# and  rownum &lt;=#limit#
		</isNotEmpty>
	</select>
	
	<!-- query objects totalcount -->
	<select id="count_Cllkxx" resultClass="java.lang.Integer" parameterClass="java.util.Map">
		select count(*) from cllkxx 
		<include refid="condition_Cllkxx"/>			
	</select>
	
</sqlMap>











